# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Test.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-Data-Properties
Version:        0.02
Release:        alt1_7
Summary:        Persistent properties

# The upstream source itself does not specify a license.
# When asked how he wanted to distribute it, the author replied:
# "huh, I'm surprised that you find it that useful, but okay. it doesn't
# look like I included a license in the distribution, but if I were to
# do so today, it would be under the most recent Apache license."
# Fedora Legal has a copy of the email (see the LICENSE file).
License:        ASL 2.0

Group:          Development/Perl
URL:            http://search.cpan.org/dist/Data-Properties/
Source0:        http://www.cpan.org/authors/id/I/IX/IX/Data-Properties-%{version}.tar.gz
Source1:        LICENSE
BuildArch:      noarch
BuildRequires:  perl(ExtUtils/MakeMaker.pm)


Source44: import.info

%description
Data-Properties is a Perl version of Java's java.util.Properties and aims to be
format-compatible with that class.

%prep
%setup -q -n Data-Properties-%{version}
cp %{SOURCE1} .

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes LICENSE
%{perl_vendor_privlib}/Data*

%changelog
* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1_7
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1_6
- update to new release by fcimport

* Wed May 23 2012 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1_4
- fc import

